<?php

namespace LakeDrops\DrupalDevelopmentEnvironment;

use Composer\Plugin\Capability\CommandProvider as CommandProviderCapability;

/**
 * Composer Command Provider for LakeDrops drupal development environments.
 *
 * @package LakeDrops\DrupalDevelopmentEnvironment
 */
class CommandProvider implements CommandProviderCapability {

  /**
   * Retrieves an array of commands.
   *
   * @return \Composer\Command\BaseCommand[]
   *   Array of available commands.
   */
  public function getCommands(): array {
    return [
      new ScaffoldCommand(),
    ];
  }

}
